summaryrefslogtreecommitdiffstats
path: root/multimedia/mythtv/files
diff options
context:
space:
mode:
author David Somero <dsomero@hotmail.com>2013-12-01 08:21:08 +0100
committer Robby Workman <rworkman@slackbuilds.org>2013-12-02 00:58:02 -0600
commit749460d8eac3f2cae4e140afc9a74b1da29ea9d1 (patch)
tree3d7d4280fb9e59460abefc0170ec1dc0fe296d1e /multimedia/mythtv/files
parent0c01842e9a9b21835ba447cb9a4254ddb4e68203 (diff)
downloadslackbuilds-749460d8eac3f2cae4e140afc9a74b1da29ea9d1.tar.gz
slackbuilds-749460d8eac3f2cae4e140afc9a74b1da29ea9d1.tar.xz
multimedia/mythtv: Added (mythical home media convergence PVR/DVR).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'multimedia/mythtv/files')
-rw-r--r--multimedia/mythtv/files/mysql.txt39
-rw-r--r--multimedia/mythtv/files/mythfrontend.desktop8
-rw-r--r--multimedia/mythtv/files/mythfrontend.pngbin0 -> 19611 bytes
-rw-r--r--multimedia/mythtv/files/mythtv-setup.desktop8
-rw-r--r--multimedia/mythtv/files/mythtv-setup.pngbin0 -> 19611 bytes
-rw-r--r--multimedia/mythtv/files/mythtv.logrotate.d10
-rw-r--r--multimedia/mythtv/files/rc.mythbackend.new62
7 files changed, 127 insertions, 0 deletions
diff --git a/multimedia/mythtv/files/mysql.txt b/multimedia/mythtv/files/mysql.txt
new file mode 100644
index 0000000000..9248cd501e
--- /dev/null
+++ b/multimedia/mythtv/files/mysql.txt
@@ -0,0 +1,39 @@
+DBHostName=localhost
+
+# By default, Myth tries to ping the DB host to see if it exists.
+# If your DB host or network doesn't accept pings, set this to no:
+#
+#DBHostPing=no
+
+DBUserName=mythtv
+DBPassword=mythtv
+DBName=mythconverg
+DBType=QMYSQL3
+
+# Set the following if you want to use something other than this
+# machine's real hostname for identifying settings in the database.
+# This is useful if your hostname changes often, as otherwise you
+# will need to reconfigure mythtv (or futz with the DB) every time.
+# TWO HOSTS MUST NOT USE THE SAME VALUE
+#
+#LocalHostName=my-unique-identifier-goes-here
+
+# If you want your frontend to be able to wake your MySQL server
+# using WakeOnLan, have a look at the following settings:
+#
+#
+# The time the frontend waits (in seconds) between reconnect tries.
+# This should be the rough time your MySQL server needs for startup
+#
+#WOLsqlReconnectWaitTime=0
+#
+#
+# This is the number of retries to wake the MySQL server
+# until the frontend gives up
+#
+#WOLsqlConnectRetry=5
+#
+#
+# This is the command executed to wake your MySQL server.
+#
+#WOLsqlCommand=echo 'WOLsqlServerCommand not set'
diff --git a/multimedia/mythtv/files/mythfrontend.desktop b/multimedia/mythtv/files/mythfrontend.desktop
new file mode 100644
index 0000000000..a94ec5b303
--- /dev/null
+++ b/multimedia/mythtv/files/mythfrontend.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=mythTV frontend
+Comment=Record, playback and watch TV.
+Icon=mythfrontend
+Exec=mythfrontend
+Terminal=false
+Type=Application
+Categories=AudioVideo;Player;
diff --git a/multimedia/mythtv/files/mythfrontend.png b/multimedia/mythtv/files/mythfrontend.png
new file mode 100644
index 0000000000..5d456be3af
--- /dev/null
+++ b/multimedia/mythtv/files/mythfrontend.png
Binary files differ
diff --git a/multimedia/mythtv/files/mythtv-setup.desktop b/multimedia/mythtv/files/mythtv-setup.desktop
new file mode 100644
index 0000000000..8fa20f756c
--- /dev/null
+++ b/multimedia/mythtv/files/mythtv-setup.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=mythTV setup
+Comment=Setup for mythTV.
+Icon=mythtv-setup
+Exec=mythtv-setup
+Terminal=false
+Type=Application
+Categories=AudioVideo;Player;
diff --git a/multimedia/mythtv/files/mythtv-setup.png b/multimedia/mythtv/files/mythtv-setup.png
new file mode 100644
index 0000000000..5d456be3af
--- /dev/null
+++ b/multimedia/mythtv/files/mythtv-setup.png
Binary files differ
diff --git a/multimedia/mythtv/files/mythtv.logrotate.d b/multimedia/mythtv/files/mythtv.logrotate.d
new file mode 100644
index 0000000000..a3024f4208
--- /dev/null
+++ b/multimedia/mythtv/files/mythtv.logrotate.d
@@ -0,0 +1,10 @@
+/var/log/mythbackend.log /var/log/mythfrontend.log {
+rotate 4
+weekly
+notifempty
+sharedscripts
+missingok
+postrotate
+[ -f "/var/run/mythbackend.pid" ] && /bin/kill -HUP `cat /var/run/mythbackend.pid`
+endscript
+}
diff --git a/multimedia/mythtv/files/rc.mythbackend.new b/multimedia/mythtv/files/rc.mythbackend.new
new file mode 100644
index 0000000000..7cb2683e6c
--- /dev/null
+++ b/multimedia/mythtv/files/rc.mythbackend.new
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Start/stop/restart mythbackend
+#
+# Modification done by Benoit Beauchamp, based on rc.mysqld by
+#
+# Copyright 2003 Patrick J. Volkerding, Concord, CA
+# Copyright 2003 Slackware Linux, Inc., Concord, CA
+#
+# This program comes with NO WARRANTY, to the extent permitted by law.
+# You may redistribute copies of this program under the terms of the
+# GNU General Public License.
+#
+LOG=/var/log/mythbackend.log
+PID=/var/run/mythbackend.pid
+MYTHTV_HOME=/etc/mythtv
+export MYTHCONFDIR="$MYTHTV_HOME"
+export HOME="$MYTHTV_HOME"
+
+# Start mythbackend:
+myth_start() {
+ if [ -x /usr/bin/mythbackend ]; then
+ # If there is an old PID file (no mythbackend running), clean it up:
+ if [ -r $PID ]; then
+ if ! ps axc | grep mythbackend 1> /dev/null 2> /dev/null ; then
+ echo "Cleaning up old $PID."
+ rm -f $PID
+ fi
+ fi
+ echo "Starting mythbackend..."
+ /usr/bin/mythbackend --logpath $LOG -v general -p $PID -d
+ fi
+}
+
+# Stop mythbackend:
+myth_stop() {
+ # If there is no PID file, ignore this request...
+ if [ -r $PID ]; then
+ echo "Stopping mythbackend..."
+ killall mythbackend
+ rm -f $PID
+ fi
+}
+
+# Restart mythbackend:
+myth_restart() {
+ myth_stop
+ myth_start
+}
+
+case "$1" in
+'start')
+ myth_start
+ ;;
+'stop')
+ myth_stop
+ ;;
+'restart')
+ myth_restart
+ ;;
+*)
+ echo "usage $0 start|stop|restart"
+esac